Name:		lout
Summary: 	A document formatting system
Version: 	3.30
Release: 	5%{?dist}
License: 	GPL
Group: 		Applications/Publishing
URL:		http://lout.sourceforge.net/
Source0:	http://dl.sourceforge.net/lout/%{name}-%{version}.tar.gz
Source1:	http://snark.ptc.spbu.ru/~uwe/lout/user.ps.gz
Patch0:		lout-3.30-Fedora-makefile-new.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	zlib-devel

%description
Lout is a document formatting system designed and implemented by Jeffrey 
Kingston at the Basser Department of Computer Science, University of 
Sydney, Australia. The system reads a high-level description of a document 
similar in style to LaTeX and produces a PostScript file which can be 
printed on most laser printers and graphic display devices. Plain text 
output is also available, PDF output is limited but working (e.g. no 
graphics). Lout is inherently multilingual. Adding new languages is easy. 

%prep
%setup -q
%patch0 -p1

%build
make BINDIR=%{_bindir} LIBDIR=%{_datadir}/%{name} DOCDIR=%{_datadir}/%{name}/doc \
     MANDIR=%{_mandir}/man1 prg2lout lout

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
make DESTDIR=$RPM_BUILD_ROOT \
     BINDIR=%{_bindir} \
     LIBDIR=%{_datadir}/%{name} \
     DOCDIR=%{_datadir}/%{name}/doc \
     MANDIR=%{_mandir}/man1 \
     install installman installdoc
cp %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/%{name}/doc
gunzip $RPM_BUILD_ROOT/%{_datadir}/%{name}/doc/user.ps.gz
# looks like a vim dump, just taking up space
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/user/.pie_intr.swp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%doc gnu.gpl README READMEPDF
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man1/*.1*


%changelog
* Fri Jul  7 2006 Tom "spot" Callaway <tcallawa@redhat.com> 3.30-5
- revive package

* Fri Jul  1 2005 Tom "spot" Callaway <tcallawa@redhat.com> 3.30-4
- delete hidden trash file

* Thu Jun 30 2005 Tom "spot" Callaway <tcallawa@redhat.com> 3.30-3
- cleanups, macro consistency

* Thu Jun 30 2005 Tom "spot" Callaway <tcallawa@redhat.com> 3.30-2
- remove hardcoded directory definitions
- link with shared zlib, not static

* Thu Jun 30 2005 Tom "spot" Callaway <tcallawa@redhat.com> 3.30-1
- initial package for Fedora Extras
